      SUBROUTINE DATE(IDATE)
      CHARACTER*4 IDATE(3)
      INTEGER*2 IYR,IMON,IDAY
      CALL GETDAT(IYR,IMON,IDAY)
      IDATE(1)='  ' // CHAR(IMON/10+48) // CHAR(MOD(IMON,10)+48)
      IDATE(2)='/' // CHAR(IDAY/10+48) // CHAR(MOD(IDAY,10)+48) // '/'
      IDATE(3)=CHAR(IYR/1000+48) // CHAR(MOD(IYR/100,10)+48) //
     * CHAR(MOD(IYR/10,10)+48) // CHAR(MOD(IYR,10)+48)
      RETURN
      END
